Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1643 - /dev/mixer and /dev/dsp permissions incorrect
Summary: /dev/mixer and /dev/dsp permissions incorrect
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: dev
Version: 1.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-21 03:29 UTC by witten
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-23 01:23:07 UTC


Attachments (Terms of Use)

Description witten 1999-03-21 03:29:52 UTC
File permissions on /dev/dsp and /dev/mixer in Redhat 5.9
are 600 when they should be 644 (to allow non-root users to
make use of the sound card).

Comment 1 Preston Brown 1999-03-22 21:37:59 UTC
Michael, I assume that this is incorrect as it should be taken care of
by pam-console.  If I am correct, please make a note and close the
bug.

Comment 2 Michael K. Johnson 1999-03-23 01:23:59 UTC
You are most definitely correct.  While the current beta doesn't
have pam_console fully integrated, the upcoming one will, at which
point the permissions will be changed by pam_console by default
and the values to which pam_console sets them will be configurable
in /etc/security/console.perms

Furthermore, the dev rpm is made such that the permissions on
/dev/mixer and /dev/dsp is not verified so that folks can set
local policies without interference from rpm and so that
pam_console doesn't create noise in an rpm -V dev


Note You need to log in before you can comment on or make changes to this bug.